For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conversation contacts

get

Required Permission: chatbots.contacts.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Query parameters
querystringRequired

The search term.

pagenumberRequired

The page on which to start the seach.

Example: 1
pageSizenumberRequired

The number of pages to return.

Example: 250
hiddenHitsstringOptional

Comma-separated list of IDs to be excluded from the search results.

Responses
200Success
application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts/search

Lists all contacts for a chatbot

get

Required Permission: chatbots.contacts.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Query parameters
pageTokenstringOptional

The date after which to filter organizations. Only organizations created before this date will be fetched.

Example: 2025-09-29T07:08:00Z
limitnumberOptional

The amount of contacts to fetch

Responses
200Success
application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts

Creates a new contact

post

Required Permission: chatbots.contacts.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringOptional

The name of the contact.

Example: Max Example
languagestringRequired

The language of the contact.

Example: EN
emailstringOptional

The email address of the contact.

Example: max.mustermann@example.com
phoneNumberstringOptional

The phone number of the contact.

Example: +4917612345678
whatsappIdstringOptional

The WhatsApp ID of the contact.

Example: 49123456789
webIdstringOptional

The web channel ID of the contact.

Example: web_abc123xyz
instagramIdstringOptional

The Instagram ID of the contact.

Example: 17841400123456789
facebookIdstringOptional

The Facebook ID of the contact.

Example: 10158123456789012
telegramIdstringOptional

The Telegram ID of the contact.

Example: 123456789
providerIdstringOptional

The ID of the contact with the external provider.

Example: provider_abc123
avatarstring · uriOptional

The URL to the avatar image of the contact.

Example: https://example.com/avatar.png
Responses
post
/v1/chatbots/{chatbotId}/contacts

Retrieves a specific contact

get

Required Permission: chatbots.contacts.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

contactIdstringRequired

The Id of the contact to retrieve.

Responses
200Success
application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts/{contactId}

Deletes a contact

delete

Required Permission: chatbots.contacts.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

contactIdstringRequired

The Id of the contact to delete.

Responses
200Success
application/json
deletedbooleanOptional

Indicates whether the contact was successfully deleted.

Example: true
errorstringOptional

Optional error message.

delete
/v1/chatbots/{chatbotId}/contacts/{contactId}

Updates an existing contact

patch

Required Permission: chatbots.contacts.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

contactIdstringRequired

The Id of the contact to retrieve.

Body
Responses
200Success
application/json
errorstringOptional

Optional error message.

patch
/v1/chatbots/{chatbotId}/contacts/{contactId}

Lists all organizations a contact belongs to

get

Required Permission: chatbots.contacts.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

contactIdstringRequired

The Id of the contact to retrieve.

Responses
200Success
application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/contacts/{contactId}/organizations

Last updated